Package com.avaya.clientservices.call.feature

## Enum FeatureAction

- java.lang.Object
- - java.lang.Enum<FeatureAction>
  - - com.avaya.clientservices.call.feature.FeatureAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FeatureAction>`

      public enum FeatureAction
      extends java.lang.Enum<FeatureAction>

  The feature actions that can be used when invoking a feature.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `OFF` | Action to enable the feature.
    `ON` | Undefined action.
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCommonCode()` | Get the common code for this feature action.
    `static FeatureAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FeatureAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final FeatureAction UNDEFINED

    - #### ON

          public static final FeatureAction ON

      Undefined action.

    - #### OFF

          public static final FeatureAction OFF

      Action to enable the feature.

  - ### Method Detail

    - #### values

          public static FeatureAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureAction c : FeatureAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCommonCode

          public int getCommonCode()

      Get the common code for this feature action. This is used by the java bindings when invoking a feature. It helps assure the feature action codes are consistent with the codes defined in the C++ API (src/api/FeatureInvocationParams.h). THIS IS NOT the ordinal of this enumeration constant (its position in the enum declaration).
      Returns:
        the common feature action code.